<?php

namespace App\Http\Controllers;

use App\Events\NewOrder;
use App\Models\Product;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $products = Product::all();
        return view('root')->with('products', $products);
    }

    public function order($product_id)
    {
        $product = Product::where('id', $product_id)->first();
        if (!Auth::check() || $product == null) {
            return redirect('/');
        } else {
            return view('order', ['product' => $product, 'user_id' => Auth::id(), 'date' => date("Y-m-d H:i:s")]);
        }
    }

    public function order_send(Request $request)
    {
        $request->validate([
            'address' => ['required', 'max:128'],
            'product_id' => ['required'],
            'user_id' => ['required'],
            'date' => ['required']
        ]);

        event(new NewOrder($request));

        $product = Product::where('id', $request->product_id)->first();
        if (!Auth::check() || $product == null) {
            return redirect('/');
        } else {
            return view('order_send', ['product' => $product]);
        }
    }
}
